Bug 22955 - Markup error in OPAC lists template
Summary: Markup error in OPAC lists template
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 17:10 UTC by Owen Leonard
Modified: 2019-06-11 16:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22955: Markup error in OPAC lists template (1.97 KB, patch)
2019-05-21 17:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22955: Markup error in OPAC lists template (2.02 KB, patch)
2019-05-24 20:36 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22955: Markup error in OPAC lists template (2.09 KB, patch)
2019-05-27 21:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 17:10:32 UTC
There is a minor markup error in the OPAC lists template: A missing "alt" attribute. It triggers this error:

 - "An img element must have an alt attribute, except
    under certain conditions."
Comment 1 Owen Leonard 2019-05-21 17:38:52 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-05-24 20:36:15 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-05-27 21:12:51 UTC
Created attachment 90131 [details] [review]
Bug 22955: Markup error in OPAC lists template

This patch makes a minor correction to the template for OPAC lists.
This correction fixes an error returned by the HTML validator by adding
an empty "alt" attribute to an image tag.

To reproduce the problem you should have at least one list available in
the OPAC with one or more items on it. View the contents of that list in
the OPAC. Run the page through the W3C validation service:
https://validator.w3.org. Either by pasting in the URL for the search
results (if web accessible) or by viewing source, copying, and pasting
into "Validate by Direct Input."

This patch addresses one specific error:

 - "An img element must have an alt attribute, except
    under certain conditions."

To test, apply the patch and try again to reproduce the validation
error. The error should no longer be present. There should be no
visible change to the page.

Click "Download list." A modal window should appear with a "Loading"
message, followed by a form for selecting a download format.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-06-03 17:52:04 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-06-10 14:05:00 UTC
Pushed to 19.05.x for 19.05.01
Comment 6 Lucas Gass 2019-06-11 16:04:11 UTC
backported to 18.11.x for 18.11.07